blob: b4f3ceaf37e032a8887621deb88b16be3c0f2976 [file] [log] [blame]
name: devtools_app
description: Web-based performance tooling for Dart and Flutter.
publish_to: none
# Note: this version should only be updated by running tools/update_version.dart
# that updates all versions of devtools packages (devtools_app, devtools_test).
version: 2.28.0-dev.0
repository: https://github.com/flutter/devtools/tree/master/packages/devtools_app
environment:
sdk: ">=3.0.0 <4.0.0"
flutter: ">=3.0.0"
dependencies:
ansi_up: ^1.0.0
# path: ../../third_party/packages/ansi_up
# Pin ansicolor to version before pre-NNBD version 1.1.0, should be ^1.0.5
# See https://github.com/flutter/devtools/issues/2530
ansicolor: ^2.0.0
# TODO: https://github.com/flutter/devtools/issues/4728 - remove constraint when archive is fixed
archive: <3.3.3
async: ^2.0.0
codicon: ^1.0.0
collection: ^1.15.0
dap: ^1.1.0
dds_service_extensions: ^1.6.0
devtools_extensions: ^0.0.2
devtools_shared: ^3.0.1
devtools_app_shared: ^0.0.1
file: ^6.0.0
file_selector: ^0.8.0
file_selector_linux: ^0.0.2
file_selector_macos: ^0.0.2
file_selector_web: ^0.8.1
file_selector_windows: ^0.0.2
flutter:
sdk: flutter
flutter_markdown: ^0.6.8
# TODO: https://github.com/flutter/devtools/issues/4569 - unpin this version
flutter_riverpod: 2.0.0-dev.9
flutter_web_plugins:
sdk: flutter
http: ^0.13.4
image: ^3.0.2
intl: ">=0.16.1 <0.18.0"
js: ^0.6.1+1
json_rpc_2: ^3.0.2
leak_tracker: 2.0.1
logging: ^1.1.1
meta: ^1.9.1
mime: ^1.0.0
path: ^1.8.0
perfetto_ui_compiled:
path: ../../third_party/packages/perfetto_ui_compiled
pointer_interceptor: ^0.9.3+3
provider: ^6.0.2
# Only used for debug mode logic.
shared_preferences: ^2.0.15
sse: ^4.1.2
stack_trace: ^1.10.0
stream_channel: ^2.1.1
string_scanner: ^1.1.0
url_launcher: ^6.1.0
url_launcher_web: ^2.0.6
vm_service: ^11.3.0
# TODO https://github.com/dart-lang/sdk/issues/52853 - unpin this version
vm_snapshot_analysis: 0.7.2
web_socket_channel: ^2.1.0
# widget_icons: ^0.0.1
dev_dependencies:
args: ^2.4.2
build_runner: ^2.3.3
devtools_test: 2.28.0-dev.0
fake_async: ^1.3.1
flutter_driver:
sdk: flutter
flutter_lints: ^2.0.0
flutter_test:
sdk: flutter
integration_test:
sdk: flutter
mockito: ^5.4.1
webkit_inspection_protocol: ">=0.5.0 <2.0.0"
stager: ^1.0.1
flutter:
uses-material-design: true
assets:
- assets/
- assets/img/
- assets/img/layout_explorer/
- assets/img/layout_explorer/cross_axis_alignment/
- assets/img/layout_explorer/main_axis_alignment/
- assets/img/legend/
- icons/
- icons/actions/
- icons/custom/
- icons/general/
- icons/gutter/
- icons/inspector/
- icons/inspector/widget_icons/
- icons/memory/
- icons/perf/
# We have to explicitly list every asset under `packages/perfetto_ui_compiled/`
# since directory support is not available for assets under `packages/`.
# See (https://github.com/flutter/flutter/issues/112019).
- packages/perfetto_ui_compiled/dist/index.html
- packages/perfetto_ui_compiled/dist/service_worker.js
- packages/perfetto_ui_compiled/dist/devtools/devtools_dark.css
- packages/perfetto_ui_compiled/dist/devtools/devtools_light.css
- packages/perfetto_ui_compiled/dist/devtools/devtools_shared.css
- packages/perfetto_ui_compiled/dist/devtools/devtools_theme_handler.js
# The version number for all the Perfetto asset paths below is updated by running the
# ./tool/update_perfetto.sh script.
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/engine_bundle.js
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/frontend_bundle.js
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/manifest.json
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/perfetto.css
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/trace_processor.wasm
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/brand.png
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/favicon.png
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/logo-128.png
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/logo-3d.png
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/scheduling_latency.png
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/MaterialSymbolsOutlined.woff2
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/Roboto-100.woff2
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/Roboto-300.woff2
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/Roboto-400.woff2
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/Roboto-500.woff2
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/RobotoCondensed-Light.woff2
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/RobotoCondensed-Regular.woff2
- packages/perfetto_ui_compiled/dist/v33.0-1838a06af/assets/RobotoMono-Regular.woff2
fonts:
- family: Roboto
fonts:
- asset: fonts/Roboto/Roboto-Thin.ttf
weight: 100
- asset: fonts/Roboto/Roboto-Light.ttf
weight: 300
- asset: fonts/Roboto/Roboto-Regular.ttf
weight: 400
- asset: fonts/Roboto/Roboto-Medium.ttf
weight: 500
- asset: fonts/Roboto/Roboto-Bold.ttf
weight: 700
- asset: fonts/Roboto/Roboto-Black.ttf
weight: 900
- family: RobotoMono
fonts:
- asset: fonts/Roboto_Mono/RobotoMono-Thin.ttf
weight: 100
- asset: fonts/Roboto_Mono/RobotoMono-Light.ttf
weight: 300
- asset: fonts/Roboto_Mono/RobotoMono-Regular.ttf
weight: 400
- asset: fonts/Roboto_Mono/RobotoMono-Medium.ttf
weight: 500
- asset: fonts/Roboto_Mono/RobotoMono-Bold.ttf
weight: 700
- family: Octicons
fonts:
- asset: fonts/Octicons.ttf
- family: Codicon
fonts:
- asset: packages/codicon/font/codicon.ttf
dependency_overrides:
devtools_shared:
path: ../devtools_shared
devtools_app_shared:
path: ../devtools_app_shared
devtools_test:
path: ../devtools_test
devtools_extensions:
path: ../devtools_extensions